Subject: Re: bug#19328: [PATCH] Add mechanism to prompt about unsaved customizations

From: Ted Zlatanov <[email-masked]>
Date: Fri, 12 Dec 2014 20:17:26 -0500

On Thu, 11 Dec 2014 20:39:39 -0600 Cameron Desautels <[email-masked]> wrote: 

CD> On Thu, Dec 11, 2014 at 8:36 PM, Stefan Monnier
CD> <[email-masked]> wrote:
>> Oh yes, I'm quite aware of this problem, which is why I think this
>> feature is very nice and that's also why I'm saying that I'm not
>> necessarily opposed to enabling it by default.
>> 
>> But I'd like to some opinion from people who've actually tried it.
>> 
>> Many Emacs users can have very strong reactions to very small changes in
>> the default behavior.  The potential benefit justifies a bit of
>> potential annoyance, and I think I can evaluate the potential benefit,
>> but I don't think I can evaluate the potential annoyance yet.

CD> Got it.  Seems like a wise approach.  Let me know how I can help.

To make it easier for people to try it, and to format the patch a little
better, I've pushed it on top of the current master branch in the branch
scratch/bug19328/custom-prompt-customize-unsaved-options from where it
can be tried or cherry-picked.

Ted